/*
Theme Name: ColorMag Child
Template: colormag
*/

/* カテゴリータグの大きさを調整 */
.cm-post-categories a,
.mzb-banner-posts .mzb-post-categories a,
.mzb-featured-posts .mzb-post-categories a,
.mzb-post-list .mzb-post-categories a {
  display: inline-block;
  padding: 3px 6px;
  background-color: #207daf;
  color: #fff;
  font-size: 11px;
  border-radius: 2px;
  line-height: 1.4;
  text-decoration: none;
}

/* フッターの要素を2行にして、中央寄せにする */
.cm-footer-col {
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* カテゴリーごとのページで1件目だけ大きくなるのを防ぐ */
.cm-posts.cm-layout-2-style-1 .post:first-child,
.cm-posts.cm-layout-2-style-1 .page:first-child {
  grid-column: auto;
}

/* 元画像のサイズに関係なく同じ大きさで表示 */
.cm-featured-image a {
  display: block;
  aspect-ratio: 10 / 7;
  overflow: hidden;
}

.cm-featured-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* アカウント画面のボタンを非表示 */
.um-col-alt .um-left #um_account_submit_general {
	display: none;
}

/* 検索結果の画像サイズと並びを調整 */
.article-container {
	display: grid;
	grid-template-columns: repeat(var(--grid-column, 1), 1fr);	--grid-column: 2;
	gap: 20px;
}

.status-publish {
	width: 100% !important;
}

/* 投稿一覧でのカレンダーアイコンを非表示 */
.cm-icon--calendar-fill {
	display: none !important;
}


/*.search .cm-content .cm-row {
	display: flex;
	gap: 30px;
}

.search #cm-primary {
	width: 70%;
}

.search #cm-secondary {
	width: 30%;
}
/* 検索結果ページだけ 2カラムを強制 
.search .cm-row.cm-right-sidebar {
	display: flex;
	flex-wrap: nowrap;
	align-items: flex-start;
	gap: 30px;
}*/

/* メイン */
.search .cm-row.cm-right-sidebar > #cm-primary {
	padding-right: 1.875em;
}

/* サイドバー */
.search .cm-row.cm-right-sidebar > #cm-secondary {
	width: 30%;
	display: block;
	visibility: visible;
	opacity: 1;
}

/* 検索結果内のカードが親幅を押し広げないようにする */
.search #cm-primary .article-container {
	width: 100%;
}

